#!/bin/python
#
# run:  python setup_pyapi.py build
#  and: python setup_pyapi.py install
#
from distutils.core import setup, Extension
from distutils import sysconfig

save_init_posix = sysconfig._init_posix
def my_init_posix():
    print 'my_init_posix: changing gcc to g++'
    save_init_posix()
    g = sysconfig._config_vars
    g['CC'] = 'g++'
    g['LDSHARED'] = 'g++ -shared' 
sysconfig._init_posix = my_init_posix 

module1 = Extension('horde_api',
                    include_dirs = ['..'],
                    sources = ['api.c', 'python_api.c', '../ippc/ippc.c'])

setup (name = 'horde_api', 
       version = '1.0',
       description = 'Python interface to the Horde API',
       ext_modules = [module1])
