// -*- mode: C++; -*-

/** @file daemon.h
 *
 * Shared variables and functions in the horde session daemon.
 */

#ifndef __HORDE_DAEMON_SESSION_H__
#define __HORDE_DAEMON_SESSION_H__

#include <string>
using namespace std;

#include <nmstl/ioevent>
using namespace nmstl;

#include "horde_namespace.h"

extern io_event_loop io_loop;

string to_hexstr(const char* data, size_t datalen);

HORDE_NAMESPACE_BEGIN;

//
// properties
//

/**
 * Load properties from a file.
 */
bool load_properties_file(const string& filename);

/**
 * Returns the number of unique properties loaded.
 */
int count_properties();

/**
 * Get the value of a property. Both name and value are case-sensitive.
 * @return value of named property, or \a default_value.
 */
string get_property(string property, string default_value);

/**
 * Set the value of a property. Both name and value are case-sensitive.
 */
void set_property(string property, string value);

HORDE_NAMESPACE_END;

#endif
